## martian 1.2

=== requirements.txt ===
# NOTE: versions must be in sync with buildout.cfg
setuptools==38.4.0
zc.buildout==2.10.0

=== debian/changelog ===
martian (1.2-0ubuntu1) disco; urgency=medium

  * New upstream release.
  * d/rules:
    - Use pybuild and dh_python3.
    - Exclude testing_compat3.py in Python 2 - it's only meant for Python 3.
    - Exclude test files from install.
  * d/compat: Bump to 11.
  * d/copyright: Fix syntax issues.
  * d/control:
    - Update build dependencies for pybuild and Python 3.
    - Update homepage URL to GitHub.
    - Bump Standards-Version to 4.2.1.
    - Include basic Python autopkgtest.
    - Build python3-martian.
    - Use optional priority instead of extra.
  * d/watch: Use SSL.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 23 Dec 2018 15:54:44 -0500

=== debian/control ===
Source: martian
Section: python
Priority: optional
Homepage: https://github.com/zopefoundation/martian
Build-Depends: debhelper (>= 11~),
               dh-python,
               python-all,
               python-setuptools,
               python-zope.interface,
               python-zope.testing,
               python3-all,
               python3-setuptools,
               python3-zope.interface,
               python3-zope.testing
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Standards-Version: 4.2.1
Testsuite: autopkgtest-pkg-python

Package: python-martian
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Library that allows the embedding configuration in Python (Python 2)
 Martian is a library that allows the embedding of configuration
 information in Python code. Martian can then grok the system and do
 the appropriate configuration registrations. One example of a system
 that uses Martian is the system where it originated: Grok
 (http://grok.zope.org)
 .
 This package installs the library for Python 2.

Package: python3-martian
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Library that allows the embedding configuration in Python (Python 3)
 Martian is a library that allows the embedding of configuration
 information in Python code. Martian can then grok the system and do
 the appropriate configuration registrations. One example of a system
 that uses Martian is the system where it originated: Grok
 (http://grok.zope.org)
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME = martian
export PYBUILD_AFTER_INSTALL = rm -r '{destdir}/{install_dir}/martian/tests'
export PYBUILD_AFTER_INSTALL_python2 = $(PYBUILD_AFTER_INSTALL) && \
	rm '{destdir}/{install_dir}/martian/testing_compat3.py'

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

=== debian/watch ===
version=3
https://pypi.python.org/packages/source/m/martian/martian-(.+).tar.gz
